require "shape"
-- Run once on load
function love.load()
  shapes = shape:new()
  H = 0
  clock = 0
  
  -- X axis hit
  table.insert(shapes,shape:new(300, 100, 45, 0))
  table.insert(shapes,shape:new(love.graphics.getWidth() - 300, 100, -20, 0))
  
  -- X axis same direction hit
  table.insert(shapes,shape:new(300, 150, 20, 0))
  table.insert(shapes,shape:new(love.graphics.getWidth() - 600, 150, 50, 0))
  
  -- Y axis hit
  table.insert(shapes,shape:new(love.graphics.getWidth() / 2, 200, 0, 20))
  table.insert(shapes,shape:new(love.graphics.getWidth() / 2, 400, 0, -50))
  --[[table.insert(shapes,shape:new(0,0))
  table.insert(shapes,shape:new(0,100))
  table.insert(shapes,shape:new(0,200))
  table.insert(shapes,shape:new(0,300))
  table.insert(shapes,shape:new(0,400))
  table.insert(shapes,shape:new(0,500))
  table.insert(shapes,shape:new(0,600))

  table.insert(shapes,shape:new(600,0))
  table.insert(shapes,shape:new(600,100))
  table.insert(shapes,shape:new(600,200))
  table.insert(shapes,shape:new(600,300))
  table.insert(shapes,shape:new(600,400))
  table.insert(shapes,shape:new(600,500))
  table.insert(shapes,shape:new(600,600))]]--
end

function love.draw()
  
  -- Set color
  love.graphics.setColor(100,149,237) -- Cornflower Blue
  
  -- Draw a rectangle background
  -- fill or line, fill the rectangle with colour or only show the outline.
  love.graphics.rectangle("fill", 0, 0, love.graphics.getWidth(), love.graphics.getHeight())
  
  -- Return the colour back to normal
  love.graphics.setColor(255, 255, 255)
  
  for bi,bv in ipairs(shapes) do
    love.graphics.setColor(bv.r, bv.b, bv.g)
    love.graphics.circle("fill", bv.x, bv.y, bv.radius*scale)
    love.graphics.print("ID: "..bv.id.."Speed X/Y: "..bv.xSpeed.."/"..bv.ySpeed, 10, 15*(bi + 4))
  end
  
  -- Return the colour back to normal
  love.graphics.setColor(255, 255, 255)
  
    love.graphics.print("Collision Tester", 10, 0)
    love.graphics.print("No. Shapes: "..#shapes, 10, 15)
    love.graphics.print("Distance between: "..H/scale, 10, 30)
    --love.graphics.print("Angle of Collision: "..angleOfCollision, 10, 45)
    love.graphics.print("Clock: "..clock, 10, 45)
    
end

-- Delta Time is used to update vars
function love.update(dt)
  for bi,bv in ipairs(shapes) do
    bv:update(dt)
  end
  clock = clock + dt
end

-- Called whenever a key is pressed
function love.keypressed(key)
  if key == " " then    
     local shape = shape:new(50,50)
     table.insert(shapes,shape)
  end
  if key == "n" then
    local bloop = bloop:new()
    table.insert(bloops,bloop)
  end
end
